### Virtual Method

# Soup WebsocketExtension get_response_params

#### Declaration [src]

    char*
    get_response_params (
      SoupWebsocketExtension* extension
    )

#### Description [src]

Get the parameters strings to be included in the response header.

If the extension doesn’t include any parameter in the response, this function returns `NULL`.

#### Return value

Type: `char*`

A new allocated string with the parameters.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.